
USE SVH_REPORT_DB
GO

/*
|| Autor: Dani Bieto
|| Fecha: 2022.08.30
|| Proyecto: JUNO
|| Proceso: Proceso correctivo para el campo de Dotación Recuperación CONS10 para los 23 activos que descuadran, meses Junio y Julio
*/


--=========================================================================================================================================
--														         UPDATE CIERRE CONTABLE - MAESTRO_CARTERA
--=========================================================================================================================================


DECLARE @FECHA_CIERRE_CONTABLE VARCHAR(10);
DECLARE @ANYOMES VARCHAR(6);
DECLARE @PERIODO_ANT_ADJ INT, @PERIODO_ANT_ARR INT;


SET @ANYOMES = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112);
SET @PERIODO_ANT_ADJ = (SELECT MAX(PERIODO) FROM [JUNO].[INF_ADJUDICADOS] WHERE PERIODO != @ANYOMES);
SET @PERIODO_ANT_ARR = (SELECT MAX(PERIODO) FROM [JUNO].[INF_ARRENDAMIENTO] WHERE PERIODO != @ANYOMES);



--=========================================================================================================================================
--										Tabla Temporal con los datos del Histórico (Repositorio) Mes Anterior ADJUDICADOS
--=========================================================================================================================================

	DROP TABLE IF EXISTS #TMP_JUNO_INF_ADJUDICADOS_PERIODO_ANT
	SELECT TOP 1 WITH TIES
		  INF_ADJ.PERIODO
		, INF_ADJ.USR003 -- SOCIEDAD
		, INF_ADJ.USR004 -- CODIGO ACTIVO (UNIDAD_REGISTRAL)
		, INF_ADJ.CONS10 -- DOTACION RECUPERACION	
		, INF_ADJ.ADJ317
		, ROW_NUMBER() OVER(PARTITION BY INF_ADJ.USR003, INF_ADJ.USR004 ORDER BY INF_ADJ.ORIGEN DESC) RN_ADJUDICADOS
		INTO #TMP_JUNO_INF_ADJUDICADOS_PERIODO_ANT
	FROM [JUNO].[INF_ADJUDICADOS] INF_ADJ	
	WHERE INF_ADJ.IND_MIGRACION = 'X'
	 and  INF_ADJ.PERIODO = 202206
	ORDER BY RN_ADJUDICADOS

	SELECT * FROM #TMP_JUNO_INF_ADJUDICADOS_PERIODO_ANT
  WHERE ADJ317 IN (60706918,
60707038,
60712570,
60712576,
60716795,
60713061,
60712547,
60713207,
60715560,
--60712971,
60712996,
60713051,
60712977,
60713057,
60706914,
60712552,
60713065,
60712949,
60712783,
--60712954,
60712982,
60712604,
60713165,
60712989,
--60712961,
60707045,
60712776,
60716815,
60716823
)

 --=========================================================================================================================================
--										Tabla Temporal con los datos de FI_PARTIDAS
--=========================================================================================================================================

DROP TABLE IF EXISTS #TMP_FI_PARTIDAS

SELECT PERIODO,
       SOCIEDAD, 
	   UNIDAD_REGISTRAL,
	   CONS10_DOTACION_RECUPERACION
INTO #TMP_FI_PARTIDAS
  FROM [JUNO].MAESTRO_FI_PARTIDAS_UR
 WHERE PERIODO IN (202207)
 AND UNIDAD_REGISTRAL IN (60706918,
60707038,
60712570,
60712576,
60716795,
60713061,
60712547,
60713207,
60715560,
--60712971,
60712996,
60713051,
60712977,
60713057,
60706914,
60712552,
60713065,
60712949,
60712783,
--60712954,
60712982,
60712604,
60713165,
60712989,
--60712961,
60707045,
60712776,
60716815,
60716823
)
ORDER BY UNIDAD_REGISTRAL, PERIODO


SELECT * FROM #TMP_FI_PARTIDAS ORDER BY UNIDAD_REGISTRAL, PERIODO
 

--==========================================================================================================================================
--										UPDATES TABLA MAESTRO_CARTERA
--==========================================================================================================================================


UPDATE CARTERA
SET
CARTERA.CONS10_DOTACION_RECUPERACION      =   ISNULL(ADJ_ANT.CONS10,0) + ISNULL(FI_PARTIDAS.CONS10_DOTACION_RECUPERACION,0) 
FROM [JUNO].[MAESTRO_CARTERA] CARTERA
LEFT JOIN #TMP_JUNO_INF_ADJUDICADOS_PERIODO_ANT ADJ_ANT 
  ON CARTERA.USR003_NUM_SOCIEDAD  = ADJ_ANT.USR003 
 AND CARTERA.USR004_CODIGO_ACTIVO = ADJ_ANT.USR004
LEFT JOIN #TMP_FI_PARTIDAS FI_PARTIDAS
  ON CARTERA.SOCIEDAD         = FI_PARTIDAS.SOCIEDAD
 AND CARTERA.UNIDAD_REGISTRAL = FI_PARTIDAS.UNIDAD_REGISTRAL
 AND CARTERA.PERIODO = FI_PARTIDAS.PERIODO
WHERE CARTERA.PERIODO = 202207
 AND CARTERA.UNIDAD_REGISTRAL IN (60706918,
60707038,
60712570,
60712576,
60716795,
60713061,
60712547,
60713207,
60715560,
--60712971,
60712996,
60713051,
60712977,
60713057,
60706914,
60712552,
60713065,
60712949,
60712783,
--60712954,
60712982,
60712604,
60713165,
60712989,
--60712961,
60707045,
60712776,
60716815,
60716823
)


UPDATE A
SET CONS10 = CONS10_DOTACION_RECUPERACION
FROM SVH_REPORT_DB.JUNO.INF_ADJUDICADOS A
JOIN SVH_REPORT_DB.JUNO.MAESTRO_CARTERA B
ON A.ADJ317  = B.UNIDAD_REGISTRAL
AND A.PERIODO = B.PERIODO
WHERE B.PERIODO = 202207
AND B.UNIDAD_REGISTRAL IN (60706918,
60707038,
60712570,
60712576,
60716795,
60713061,
60712547,
60713207,
60715560,
--60712971,
60712996,
60713051,
60712977,
60713057,
60706914,
60712552,
60713065,
60712949,
60712783,
--60712954,
60712982,
60712604,
60713165,
60712989,
--60712961,
60707045,
60712776,
60716815,
60716823
)

-- UPDATE A FUEGO DE LOS 4 ACTIVOS 

SELECT ADJ317, USR004, CONS10
FROM SVH_REPORT_DB.JUNO.INF_ADJUDICADOS
WHERE ADJ317 IN (60712971,
60712954,
60712961
)
AND PERIODO = 202207

SELECT UNIDAD_REGISTRAL, CONS10_DOTACION_RECUPERACION
FROM SVH_REPORT_DB.JUNO.MAESTRO_CARTERA
WHERE UNIDAD_REGISTRAL IN (60712971,
60712954,
60712961
) AND PERIODO = 202207

UPDATE SVH_REPORT_DB.JUNO.INF_ADJUDICADOS
SET CONS10 = 300.75
WHERE UNIDAD_REGISTRAL = 60712971
AND PERIODO = 202207

UPDATE SVH_REPORT_DB.JUNO.INF_ADJUDICADOS
SET CONS10 = 35.27
WHERE UNIDAD_REGISTRAL = 60712954
AND PERIODO = 202207

UPDATE SVH_REPORT_DB.JUNO.INF_ADJUDICADOS
SET CONS10 = 7.03
WHERE UNIDAD_REGISTRAL = 60712961
AND PERIODO = 202207


UPDATE SVH_REPORT_DB.JUNO.MAESTRO_CARTERA
SET CONS10_DOTACION_RECUPERACION = 300.75
WHERE UNIDAD_REGISTRAL = 60712971
AND PERIODO = 202207

UPDATE SVH_REPORT_DB.JUNO.MAESTRO_CARTERA
SET CONS10_DOTACION_RECUPERACION = 35.27
WHERE UNIDAD_REGISTRAL = 60712954
AND PERIODO = 202207

UPDATE SVH_REPORT_DB.JUNO.MAESTRO_CARTERA
SET CONS10_DOTACION_RECUPERACION = 7.03
WHERE UNIDAD_REGISTRAL = 60712961
AND PERIODO = 202207

SELECT ADJ317, CONS10
FROM SVH_REPORT_DB.JUNO.INF_ADJUDICADOS
WHERE UNIDAD_REGISTRAL  IN (60706918,
60707038,
60712570,
60712576,
60716795,
60713061,
60712547,
60713207,
60715560,
60712971,
60712996,
60713051,
60712977,
60713057,
60706914,
60712552,
60713065,
60712949,
60712783,
60712954,
60712982,
60712604,
60713165,
60712989,
60712961,
60707045,
60712776,
60716815,
60716823
)
AND PERIODO = 202207




select UNIDAD_REGISTRAL, CONS10_DOTACION_RECUPERACION
FROM SVH_REPORT_DB.JUNO.MAESTRO_cARTERA
WHERE PERIODO = 202206 
AND UNIDAD_REGISTRAL IN (60706918,
60707038,
60712570,
60712576,
60716795,
60713061,
60712547,
60713207,
60715560,
--60712971,
60712996,
60713051,
60712977,
60713057,
60706914,
60712552,
60713065,
60712949,
60712783,
--60712954,
60712982,
60712604,
60713165,
60712989,
--60712961,
60707045,
60712776,
60716815,
60716823
)